Jump to content

How to edit weapons for coop?!


Spik@
 Share

Recommended Posts

Hello all,......(well at least 'all' who still visit this forum, which does not seem too many these days) <_<

I would like to ask a couple of questions and I truly hope someone can help me.

Me and my girlfriend (still) play this game with much enthousiasm. Downloaded a bunch of maps and really enjoy the work and effort that some put into these maps. Now I would like to change some stuff but I can't seem to get these changes to work. Well at least not all of them....

So,...we play coop and just the two of us, so we need to maximize the kits to fit our needs as best as possible.

I have managed to unbundle the quickbundle and changed the cooptemplates.xml so we do have more ammo and I did manage to change a couple of kits. Nothing spectacular, but it did work (exchanged pistol for a smg and more grenades). What doesn't seem to work is adding some kits to the excisting ones. I thought I would be able to do that simply by adding a kit (copy one, paste it and change the kitnumber), but that did not work.

I also tried to add the scope to the mp5sd, but it did not show up in the game? (I copied a kit which I liked and changed the secondary weapon to mp5sd and added the scope-mod exaclty like it looks in similar kits).

And: ...when playing coop and using a kit which contains, for example RX7 and a beretta for secondary, it is possible to pick up an mp5sd in the field. Is it possible to create a kit who have these from the start? (gui1, 2, 3, 4 AND 5, 6 ??)

Also,... :whistle: I would like to know if you can edit a kit, so you can use the M32 and/or predator? Tried this, but without any luck.

And...I tried to add some mods to the m14...I wanted to add the scope, the silencer and the grenadelauncher, but you've guessed it.....It did not work either...... :blink:

My guess is that there are more xml's that need to be editted, but I have no clue which?!?!?

Please someone.....H E L P me to get this done, so we can enjoy this game as much as possible!!!

If I failed to fully explain what I want or need , please just comment and I will try to explain more.

Thank you!!!

Spik@.

Link to comment
Share on other sites

  • Replies 53
  • Created
  • Last Reply

Top Posters In This Topic

Comment more about what you want I guess.

Have you looked in the download section HERE

Coop OGR kits are a good set, also Brettz weapons mod.

There is no easy way of creating new kits, but it is possible. There are a few guys around here can help, but let us know what it is you want to create first, I guess.

Link to comment
Share on other sites

Tinker,

Thank you for your reply.. :thumbsup: ..I wasn't expecting a quick response at all, since this is a fairly older game (still good though!) and there are not too many people here anymore, although so it seems.... :unsure:

I have looked at the section you've mentioned, but I am not looking for weaponmods like Brettzies or anything. I would just like to edit some of the excisiting kits. As we are playing with just the two of us, I would like to make some ideal kits.

For example I would like to have the Aimpoint on the MP5SD as you might expect to be possible when reading the cooptemplates.xml. Ingame it does not show. Even the kits that do show the MP5SD with Aimpoint don't have it ingame though....!?

By editting the cooptemplates.xml I already was able to make some changes that worked, e.g. more ammo and grenades and switched some weapons around. For instance; my girlfriend wanted a SMG with here sniperrifle instead of the beretta, so we changed that kit. These things seemed to work just perfectly.

But, reading the above mentioned xml, you should think that it would work with al kinds of mentioned options in this xml. I wanted to change to the kit, I believe it is a riflemans kit, with the M14. I wanted to give it the silencer, launcher and scope. That didn't work for me eventhough I rewrote the xml, just the way other kits are written..... :(

You (= I) would also think that it would be easy to exchange the RPG7 in demokit 13 for the M32 or Predator, as they are also mentioned in the xml, but with this too.....no luck.

So, what I am looking for are no extensive weaponmods, but simply a way to play around with the kits and 'tweak' it a little here and there.

Thanks again mate!

Spik@

Link to comment
Share on other sites

Spik@,

You should be able to do a majority of the things that you had mentioned without too much trouble just by doing the editing you had mentioned (except putting a grenade launcher on the M14). Why don't you paste your code here so that we can look at it.

Also, it would be beneficial to know how you are running your mod. Are you rebundling the quick file or are you using an override through the local folder?

Rahn

Link to comment
Share on other sites

Rahn,

Thank you for your reply. I really appreciate the effort you and others are taking to reply on such short notice.

Today I tried some more editting and now some things did work. I can't really understand why some things do, where they malfunctioned before, but now they work, no need for me complaining about it now! :rolleyes:

I changed a kit with the RX and gave it the silencer, launcher and scope. I tried to do the same for a kit with the SCAR, but that made the game crash again?! :wall:

The adding of a launcher to the M14 was not possible at all. My bad! Guess I didn't read the xml good enough to see this was not an option for this rifle.

I replaced the RPG in demo kit 13 with the Predator and that worked. Although the Predator shows up ingame, it did not show up in the kit-template (picture) and for some reason it will not replace the RPG as primary weapon eventhough it is Gui1??

....Maybe something to figure out later, but for now...it works.

Besides this I still want the M32 but can't get it in a kit yet and I can't figure out why ?!

I guess some things will not work or cause a crash due to the way I edit the xml? Hard and/or soft-enters etc?!

Oh, and before I forget....I unbundled the xml and placed it in the local/english...-etc-.

Do you know if it is possible to add Gui's? Someting like having a primary, secondary, pistol and grenades? I tried by simply adding another line and naming it Gui5, but.....-crash-....

I guess It should be possible, because you can pick up a pistol 'in the field' which will not replace your secondary, so that would suggest it is placed in another Gui, right?

Well,....thanks again!!!!

Spik@

Link to comment
Share on other sites

Spik@,

Glad you have had some success. You still didn't post your code though. It should not be a problem to get the m32 to work. Here is what it should look like:

<xdefine name="coop_kit_demo_1()"> <!-- RX4 + GL, mk45, 3 frags -->

<weapon_unit name="m32" clips="30" gui_slot="1"/>

<weapon_unit name="m8_compact" clips="10" gui_slot="2">

<mod name="m8_combatsight"/>

<mod name="silencer_primary"/>

</weapon_unit>

<weapon_unit name="glock" clips="5" gui_slot="3">

<mod name="silencer_secondary"/>

</weapon_unit>

<weapon_unit name="m61_thrower" clips="7" gui_slot="4"/>

<weapon_unit name="predator" clips="1" gui_slot="7"/>

</xdefine>

Paste the code that you are having trouble with and I will check and see if there are any problems with it.

If you are using an override through the "local" folder then you will also need to include the "group manager" xml as well. Just copy it from your unbundled "quick" file and paste it in the same location in the local folder (in the same location as the "coop templates" file). I don't know why but it seems this file is necessary to get any override to function properly.

The predator (zeus) does not function as a primary weapon. It is an "extra" weapon and as such will not appear on the selection screen. I could be mistaken but I think that there is another type of zeus called "predator 2". I believe that it DOES appear on the weapon selection screen as a secondary weapon or something similar. At any rate that is why it did not take the place of the rpg7.

Cheers,

Rahn

Link to comment
Share on other sites

Rahn,

Sorry for the code. I was (and still are) writing this from my laptop and the game is on my desktop. I will try pasting your code into my xml and see if that will work and dang! You have more than 4 gui's!!!! Lol....so it can be done!!!

How do you know what weaponselection represents which Gui? I can see in your code that you do not have/use Gui 5 and 6. Why?

As for the xml's...I did also copy two other xml's into the local folder. The cooptemplates, groupmanager and something called mp???.xml (cant remember the correct name lol)

I see that you added the silencer to the Glock...this works as well? I read something about this and editting some other files to have it show up in the kit-template too, but like most efforts until now/recently with no success...

I will copy the code after testing it!!!

Thanks for your assistance. It is much appreciated!

Spik@

Link to comment
Share on other sites

If you are using an override through the "local" folder then you will also need to include the "group manager" xml as well. Just copy it from your unbundled "quick" file and paste it in the same location in the local folder (in the same location as the "coop templates" file). I don't know why but it seems this file is necessary to get any override to function properly.

Aha! Thnx for that, now I see a few previous issues probably caused by not having this present.

/bk on topic, good luck Spik@

Link to comment
Share on other sites

Spik@,

Regarding the gui_slots and not using #5 and #6 I cannot really tell you why I didn't use them. I think I saw Brettzie use #7 and #9 and I have just followed suit. You should try using them (#5 and #6) and see what happens.

At first there is a resistance to believing that you are "allowed" to carry that much heat into the game but the game will permit it. It will permit much more. You should check out my mod in the GRAW2 download section "Rahnmans Mod". In my mod I have incorporated primary weapons to be used as secondaries and so forth. Some of the kits that I have in the mod are pretty monstrous but I have also included some "medium" range kits and some rather small kits with just one weapon. It's a well balanced mod that allows you to play the game in whatever way suits you and take as much or as little as you like.

As far as the files you will need it looks like you are on track. The "multiplayer_templates.xml" is for playing against other players online. It is used for TDM's, DM's, HH's and so on. If you are only playing coop then you will not need this file.

Yes you can use the silencer with the glock. For some reason it does not appear as an option in the campaign selection screen or in any of the coop templates, but it works just fine. There are more of these types of things that you can do, such as putting a flashlight on the m416 and SCAR's which you you just kind of stumble onto. Actually I think other modders showed me that these two things were possible .........

Copy the code in and let me know what happens. When I first started out most of my problems were caused by syntax errors in the code that I used. This is why I wanted to see your code.

Rahn

Link to comment
Share on other sites

Rahn,

In the beginning I tried adding gui5, but it made the game crash, although now I am not sure if that was the reason or something else was not correctly done.

I also figured out you can take a primary weapon as a secondary (and vice versa), as weapons have been designated as 'primary' or 'secondary' in the weapons stats. Well, 'figured out' is probably not the case <_< I knew it could be done, but don't know how :whistle:

As we are only playing LAN Coop, I can skip that multiplayer xml?....Even though it doesn't seem to affect anything, I will boot it out of the xml folder...

I copied the code (M32 etc) into my xml (copy/pasted it straight over another kit) and fired it up...and...damnit....it worked!!! :thumbsup:

What really bugs me, is that my code (which I will copy here later - on my laptop now) looks exactly the same?!!? The only thing that differs is that I used clips "4" what might be the cause of the crash as the amount of clips/ammo must be able to be divided by 6!?

If that is not the case it will bug me even more!! LMAO.

Funny that the silencer on the Glock works too...I've read an article on how to incorporate this by editting several files, but that did not work. Just by copying your code into the xml it did. The sound of the Glock seems the same though(?). Maybe I need to edit the stats in the Glock file?

On the subject of syntax errors...If I copy my code...how will you be able to see if something is incorrect? I suspect something is going wrong by using hard and soft enters (Enter / Shift-Enter) to edit the file. Am I correct? How will I be able to check this myself?

Nevertheless I will copy my code here so you can take a look. The most recent xml works, so I will try to change a SCAR kit -which crashed on me earlier- and let you take a look....

I will also take a look at your weapons mod. Even if it is just to see what and how you did it! Lol!

Did you create maps/mission too? Your name seemed familiar and I think I've seen it on some missions?

I did some modding for the first Ghost Recon series and enjoyed it very much, but work got in the way :rolleyes: (damn you job - damn you to hell!!). I would have liked to do some for GRAW too....

I've seen a mission/mod based on one of the maps from the original GR maps, so these maps can be ported, but eventhough I already dl-ed a bunch of coop maps/missions, I did not see any missions/mods that used any of the other maps or from the Desert Siege or Island Thunder maps. Why? Some may be a bit too small, but others can be perfect?!

Oh well...i will startup my other comp and provide you with my code and see if you canfigure it out....

Thanks and regards,

Spik@

-UPDATE-

It remains to be funny as :devil: hell.....

I've done some rewriting of the xml and suddenly the SCAR kit works like a charm.....What I did different from last time? I have no idea!!!

I editted the glock.xml so the sound with silencer is reduced and that seems to work too. I tried the exact same thing for one of the sniperrifles, but for some reason that one didn't work.

I also tried replacing the Predator in Gui #7 for the RPG or smoke grenades, as I used #3 for a pistol, but that did not work either. So far for #7 being an 'extra' slot. It only seems to work for the Predator.

What does seem a bit odd, is that I removed the smoke grenades to make room for the pistols, but the smoke grenades are still shown in the kit-template, but not ingame. :wacko:

So far......

Spik@

-UPDATE 2-

I figured out how to add the RPG7 to Gui #7. !! Woohoo... :lol:

I was getting carried away by adding the Predator to some maps which kind of made it too easy in disabling tanks and heli's. To keep it a little more difficult, I changed the Predators to RPG's.

It wasn't all too difficult and eventhough I am pretty sure I do not have to tell you guys how I did it, I will. Perhaps for others who 'stumble' upon this thread and want to know......

I changed the cooptemplates.xml and added a new line with GUI slot #7. Besides that I changed the weaponsdata.xml and changed the "primary" designation to "extra gear" plus I changed the slotnumber from 1 into 7. I have tested it and it works! :yes:

I feel I'm on a :rofl: roll and get more excited by the minute (well....only if things work ofcourse! LOL)

Spik@

Edited by Spik@
Link to comment
Share on other sites

  • 2 weeks later...

Ok...need some help plz.....

I have changed some of the kits and tested in between changes....Everything was working fine, so I also made the same changes to several other kits which should work too, but instead the game crashed and i got this message:

Crash in application version: 30899.3048

data\lib\managers\groupmanager.dsf(-1): No soldier template named "coop_support_1"

SCRIPT STACK:

data\lib\managers\groupmanager.dsf(0)

data\lib\managers\groupmanager.dsf(0)

data\lib\managers\guiscreens.dsf(0)

data\lib\managers\guiscreens.dsf(0)

data\lib\managers\guiscreens.dsf(0)

Renderer: threaded

Physics : threaded

Now I am not sure what is wrong, but the message suggests it has something to do with the coop_support_1 kit?! I guess?

This is what I did for this kit;

<xdefine name="coop_kit_support_1()">

<weapon_unit name="saw" clips="4" gui_slot="1"/>

<weapon_unit name="m8_compact" clips="4" gui_slot="2"/>

<weapon_unit name="mk45" clips="4" gui_slot="3"/>

<weapon_unit name="m61_thrower" clips="6" gui_slot="4"/>

<weapon_unit name="m32" clips="12" gui_slot="9"/>

</xdefine>

Anyone suggestions on where to look??

Thx!

Spik@

Link to comment
Share on other sites

At the end of the coop templates xml there are entries for each soldier class like this:

<soldier name="coop_support_1">

		@us_support(camo_05/camo_brown_xy_df, 0.54 0.5 0.47, mp_title_support 1, us_support,mp_support_info, 3 )

		@coop_kit_support_1()

</soldier>

My guess is you have an extra bracket, typo, or something somewhere(could be anywhere) which is causing that line of code above not to be read properly. I suggest getting a program like xml marker to quickly see if things are correct. It's color coated and easier to debug typos.

Edited by Brettzies
Link to comment
Share on other sites

Brettzies,

Thank you for your reply. I will go and look for this xml marker.

Perhaps you can help with the following as well. I have changed some kits for all classes, but did not add any, When I am in-game and browse through the kits (and keep browsing to the right until it should start at kit #1 again) , the game will crash and I get the error that there is, for example, no Support kit #5. This will happen for the Riflemen kits aswell?! It seems it is expecting to find a kit which is not there...

Demo, Assault and Sniper class/kits work just fine...!?!

And knowing you made a weapons mod :whistle: .....Can I (and if so - how?) import the shotgun from your mod?

For now,

Thanks!

Spik@

Edited by Pave Low
Removed unnecessary quote (If you are replying to the latest post you don't need to quote the whole thing all again - Please use the "Add Reply" button instead of "Reply" in such cases)
Link to comment
Share on other sites

When adding kits there are 3 areas across two(or more depending) files you need to address.

coop_templates.xml (or mp)

coop_ranks.xml (or ogr_quarry and _pred, or mp_ranks)

For each kit you have, you need a cooresponding solider entry:

templates example:

<xdefine name="coop_kit_assault_14()">  <!-- m1014 , Mp5a4 -->

	<weapon_unit name="m1014" 	clips="28" 	gui_slot="1">

	</weapon_unit>

	<weapon_unit name="bp_m4v3sec"    clips="4"   gui_slot="2">

		<mod name="bp_m4v2_eotech"/>

		<mod name="bp_m4v2_silencer"/>

		<mod name="bp_m4v2_tactical_grip" />

	</weapon_unit>

	<weapon_unit name="anm8_thrower" 	clips="1" 	gui_slot="3"/>

	<weapon_unit name="m61_thrower" 	clips="3" 	gui_slot="4"/>

</xdefine>
<soldier name="coop_assault_14"> 

	@bp_assault(camo_08/camo_coyote_xy_df, 0.54 0.5 0.47, mp_title_assault 14, us_scout,mp_assault_info, 1 )

	@coop_kit_assault_14()

</soldier>
ranks example:
<variation name="coop_assault_14"/>

If any one of those is missing you could end up with a crash or error. So, if 14 was the last kit, but you added a 15th, but only in the weapon spot, the game would either crash or not show up as a new kit.

In your case, if you are using stock Graw2, there are only 4 support kits, so you'll have to add the other "soldier" and variation name to the list.

Edited by Brettzies
Link to comment
Share on other sites

<xdefine name="coop_kit_support_1()">

<weapon_unit name="saw" clips="4" gui_slot="1"/>

<weapon_unit name="m8_compact" clips="4" gui_slot="2"/>

<weapon_unit name="mk45" clips="4" gui_slot="3"/>

<weapon_unit name="m61_thrower" clips="6" gui_slot="4"/>

<weapon_unit name="m32" clips="12" gui_slot="9"/>

</xdefine>

The problem with this code is that you have used 2 primary weapons which the game will not accept. Both the SAW and M32 are designated as "primary" weapons. You will have to choose one or the other. You can also choose to create another version of the M32 and designate it as an "extra" weapon (like the predator) and use it here, but that would take a lot of explanation.

As far as the "no support kit #5" error is concerned you most likely have a syntax error in "coop_templates" file. Try using "xml marker" to look for errors. Closing tags are the most common. If that fails then it may be best just to start fresh with a "clean" coop_templates and copy/paste your kits into this new file. I would just do a few kits at a time and then run the mod to see if it works. When you get an error then you know it has to be with one of the few kits you just changed. It's tedious but it works.

The changes that Brettzie mentioned to the latter half of the coop_templates xml and the coop_ranks xml are only necessary if you try to add or subtract from the actual number of kits. For example, the "Rifleman" class has 12 kits. As long as you don't try to change that number to 13 or more (or 11 or less) then there is no need to mess with those other xml files. If you want to add kits, then simply follow his instructions above. It is not very difficult.

As far as bringing in the shotgun is concerned, it is possible but requires a lot of explanation. I was able to accomplish it (not the shotgun, but other Brettzie/Snowfella weapons) but it took a LOT of trial and error. You have to import any file (in Brettzie's mod) that even looks like it has anything to do with the shotgun and then read every file to see if it makes mention of the shotgun and then edit a "clean" copy (to include in your mod) to contain the necessary information. Then there are some files that are actually used for other weapons which Brettzie will make use of for multiple weapons. If you don't have those files in then the weapon still will not work ........ Like I said, VERY tedious. You really have to have a solid understanding of what EVERY file contains and is used for. Even then it is easy to miss something. Study hard .........

Hope that helps,

Cheers,

Rahn

Link to comment
Share on other sites

Thanks to both of you....

I will go and see how this xml marker works. I dl-ed it yesterday and I hope I will get any wiser :huh: with it. I think the solution/problem is in the code.

As for the crash, Rahn, you are correct. I am not trying to add or remove any kits, just change the existing ones and add some stuff by adding Gui slots, but having two primary weapons is not it.

I changed the weapons.xml and changed the primary designation for the M32 to extra gear for slot #9. I did the same for the rpg7 and predator, so I have a variation of kits using these weapons as 'extra's'. Sorry I did not mention that straight away.

I can see it's hard for you to asses someones knowledge of it all, so I see how you would think that made it crash. (as it indeed did when I still had not figured that one out!)

The adding of your shotgun sounds too difficult for now. Let me stick to more simple things, as they can be :wall: enough as it is! :P

As for trying to copy/paste kits in a fresh xml....I have tried that and things worked fine at first. When I pasted the kits for the support class, the game crashed again. In the end I pasted the standard code for the support kits, thinking I would do that another time as my gf wanted to play (unfortunately enough she meant GRAW :blink: ) but still it crashed!!

Today I will try the xml marker and hope to figure out where the little bug(ger) is!

Thanks again and kudos to you guys for your assistance!

Spik@

_ EDIT_

I downloaded and installed the xml marker. There were some brackets(?) incorrect. For instance the closing down of a Gui slot with a mod (Gui slot "4"/>

I have corrected all errors and loaded a game. It did not crash the game like it did before, so far so good!

But the game still crashes if I browse through the Assault kits past kit #12 (+ support kits "No #5 blabla") . It crashes and gives me the same error I described before:

Crash in application version: 30899.3048

data\lib\managers\groupmanager.dsf(-1): No soldier template named "coop_assault_13"

SCRIPT STACK:

data\lib\managers\groupmanager.dsf(0)

data\lib\managers\groupmanager.dsf(0)

data\lib\managers\guiscreens.dsf(0)

data\lib\managers\guiscreens.dsf(0)

Renderer: threaded

Physics : threaded

The xml marker says "0 warning(s) 0 error(s)". It did state there was an unexpected line/text before I corrected the brackets, but after I corrected them, that notification was gone too?!?

-SIGH-

Edited by Spik@
Link to comment
Share on other sites

I think I know what's going on here. You say that you are not adding new kits, but the game is still looking past #12 assault and #4 support.

That last patch added a few kits to the game so my guess is you have mismatched files you are working with. Either the coop_templates has the extra kits or the ranks.xml.

The latest patch has 14 assault kits and 6 support kits, so that's why it's looking for them.

You may have only unbundled the stock graw2 bundle, or maybe you are using mod files? Hard to really know. Here's what I do:

I have a directory for all the source bundles seperate and put them like this:

xGRAW2unbundle (top folder)

---data

---data.patch.103

---data.patch.104

---data.patch.105

You probably just need the first data and last patch.105 files to work effectively.

Edited by Brettzies
Link to comment
Share on other sites

Hot damn!! You just might be right on the button!!

I started editting these files when I had not yet patched the game!! Because some missions/maps people made did not work, I downloaded a patch! I might still be using the xml files I unbundled from the quick.bundle.

I'll get busy getting the other (patched) xml's and see if this will do the job. I have a good feeling about this being the problem!!

Thank You :thumbsup:

_EDIT_

I just unbundeld the xml's from the patch.bundle and took a look at the cooptemplates.xml, but it looks the same as the xml from the quick.bundle? Same amount of Assault and Support kits too. :blink:

Edited by Spik@
Link to comment
Share on other sites

The last patch(105) should have:

13 demo coop kits

14 assault coop kits

12 rifleman coop kits

06 sniper coop kits

06 support coop kits

levels/common/coop_ranks.xml and the others should reflect this as well:

<default_ranks>

	<veteran_data>

		<team name="team_a">

			<rank level="1">

			<template name="coop_demo_1">

   			<variation name="coop_demo_2"/>

    			<variation name="coop_demo_3"/>

    			<variation name="coop_demo_4"/>

   			<variation name="coop_demo_5"/>

   			<variation name="coop_demo_6"/>

    			<variation name="coop_demo_7"/>

    			<variation name="coop_demo_8"/>

   			<variation name="coop_demo_9"/>

   			<variation name="coop_demo_10"/>

    			<variation name="coop_demo_11"/>

    			<variation name="coop_demo_12"/>

			</template>

			<template name="coop_assault_1">

   			<variation name="coop_assault_2"/>

    			<variation name="coop_assault_3"/>

    			<variation name="coop_assault_4"/>

   			<variation name="coop_assault_5"/>

   			<variation name="coop_assault_6"/>

    			<variation name="coop_assault_7"/>

    			<variation name="coop_assault_8"/>

   			<variation name="coop_assault_9"/>

   			<variation name="coop_assault_10"/>

    			<variation name="coop_assault_11"/>

    			<variation name="coop_assault_12"/>

    			<variation name="coop_assault_13"/>

    			<variation name="coop_assault_14"/>    			

			</template>

			<template name="coop_rifleman_1">

   			<variation name="coop_rifleman_2"/>

    			<variation name="coop_rifleman_3"/>

    			<variation name="coop_rifleman_4"/>

   			<variation name="coop_rifleman_5"/>

   			<variation name="coop_rifleman_6"/>

    			<variation name="coop_rifleman_7"/>

    			<variation name="coop_rifleman_8"/>

   			<variation name="coop_rifleman_9"/>

   			<variation name="coop_rifleman_10"/>

    			<variation name="coop_rifleman_11"/>

    			<variation name="coop_rifleman_12"/>

			</template>

			<template name="coop_support_1">

   			<variation name="coop_support_2"/>

   			<variation name="coop_support_3"/>

   			<variation name="coop_support_4"/>

   			<variation name="coop_support_5"/>

   			<variation name="coop_support_6"/>

	                                          </template>

			<template name="coop_sniper_1">

   			<variation name="coop_sniper_2"/>

   			<variation name="coop_sniper_3"/>

   			<variation name="coop_sniper_4"/>

   			<variation name="coop_sniper_5"/>

   			<variation name="coop_sniper_6"/>

			</template>

			</rank>

		</team>	


		<team name="team_b">

			<rank level="1">

			</rank>

		</team>	

	</veteran_data>

</default_ranks>

That 13th demo kit looks like it's for coop quarry ranks.

Edited by Brettzies
Link to comment
Share on other sites

Just a note. If you have been modding in a previous version of the game, I would expect you to have issues with the latest version. Simple example, a defend I once made had the standing MG gun, created with patch 1.3. Trying to use the MG in patch 1.5 caused a CTD. Removing the MG from the mission and saving, then replacing the MG solved the CTD.

From reading so far, maybe it is time to take what you have learned,and make a fresh start. Copying and pasting your data into new files seems to fix many issues somehow. :unsure:

Link to comment
Share on other sites

Hmmm...

Yesterday I unbundled the xml's from the patch.bundle and like I said earlier....they all look the same as the ones from the quick.bundle. Same amount of kits for all classes....

Today I wanted to take a look at the ranks.xml to see if this file is mentioning the other (extra) kits, but somehow my unbundler will not open the patch.bundle anymore. It will give an 'unexpected failure' as where it will still open the quick.bundle just fine.

I guess I will have to re-install everything from scratch, just to be sure I have a fresh(!) start...... <_<

Thx,

Spik@ (in a demotivated state-of-mind)

Edited by Spik@
Link to comment
Share on other sites

HA HA....not funny! :P

Today I removed all GRAW related stuff. Don't worry...I installed it again too.

I also removed the unbundler and re-installed that one too and I am sad to say that it did not do much ....The unbundler will not unbundle the patch.bundle anymore. It worked once, xml files seemed to be the same and I wanted to double check and after that: nothing.

I found some info on having to have microsoft NET 2.0 installed, but I have 4.0 and since the quick.bundle works fine, I guess this is not an issue?!

Don't get me wrong...I can still play coop with editted files, but it simply bugs the hell out of me that I can't figure this one out!

Can someone please check the cooptemplates.xml from the patch for me and see if it is the same as the old one or that it indeed has more assault and support kits than the one from the quick.bundle?

And.....anyone has a clue on why the unbundler will not open the patch.bundle anymore?

Thanks - as always,

Spik@

-EDIT-

I have read an article on the same problem. It seems others had the same issue with the unbundler and the patch.bundle. I am using Nemons unbundler and tomorrow I will try this:

Bundler issue

Edited by Spik@
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share


×
×
  • Create New...